Subject: RE: Multicast and MPLS

From: Narayanan Vidya-CVN065 <[email-masked]>
Date: Thu, 8 Feb 2001 14:24:37 -0600

Dirk,
What multicast routing protocols does your product support? If you support sparse mode receiver-initiated protocols, is your label distribution piggybacked on the multicast routing protocol control messages? I am interested in finding out which direction the industry is leaning towards - given that differet approaches are advantageous for dense and sparse mode protocols.

Thanks,
Vidya

> -----Original Message-----
> From: Dirk Ooms [mailto:[email-masked]]
> Sent: Tuesday, February 06, 2001 6:39 AM
> To: Narayanan Vidya-CVN065
> Cc: 'mpls'
> Subject: Re: Multicast and MPLS
> 
> 
> Narayanan,
> 
> Alcatel has Multicast/MPLS running in the lab.  It isn't in 
> any product
> yet because it hasn't been requested by customers, but if there is a
> demand we can put it in fast.
> 
> dirk
> 
> Narayanan Vidya-CVN065 wrote:
> > 
> > All,
> > I have been doing some research on the status of multicast 
> with MPLS. I've been following the last call comments for the 
> multicast framework document and I remember seeing some 
> related email that made a mention of some existing multicast 
> implementations of MPLS. I was wondering if anyone knew what 
> vendors are supporting multicast using MPLS. I have done 
> extensive searches on Cisco's and Nortel's website and have 
> failed to come up with any information regarding this. I 
> noticed that Lucent has kept the IP Navigator that they got 
> from Ascend.. they talk about multicast MPLS support, yet it 
> is somewhat unclear whether they support PIM-SM or DVMRP 
> functionality in full. A couple of years ago, when Ascend was 
> still around, their imlementation supported MOSPF, but also 
> had the BR functionality for some other multicast routing 
> protocols. I was wondering if anyone could throw some light 
> into whether they now support other multicast routing protocols.
> > 
> > I am also trying to get a sense of where the IETF is going 
> with the rest of the expired drafts related to multicast and 
> MPLS. Are those drafts not refreshed because they are not 
> viewed as being viable or it is just a matter of time before 
> more work is done in this area? Basically, where is multicast 
> in the list of priorities for the MPLS WG?
> > 
> > Thanks,
> > Vidya
> > 
> >   
> --------------------------------------------------------------
> ----------
> > 
> >    Part 1.2    Type: application/ms-tnef
> >            Encoding: base64
> 
> -- 
> Dirk Ooms                       mailto:[email-masked]
>                                 tel:+32 3 2404732
> Network Strategy Group (NSG)    http://www.rc.bel.alcatel.be/nsg
> Alcatel                         http://www.alcatel.com
>

---

From: David Melman <[email-masked]>
Date: Sun, 11 Feb 2001 09:43:23 +0200

RFC 3031 MPLS Architecture briefly mentions the forwarding plane processing in section 4.8. "MPLS and Multicast":

"When a multicast labeled packet arrives, the NHLFE corresponding to the label indicates the set of output interfaces for that packet, as well as the outgoing label.  If the same label encoding technique is used on all the outgoing interfaces, the very same packet can be sent to all the children."

Is this addressed in any more detail in any other draft?

Thanks,

David

---

From: Dirk Ooms <[email-masked]>
Date: Mon, 12 Feb 2001 12:41:57 +0100

David,

Can you be more specific on the detail you are looking for?

dirk

--